Qt 5.6 | Qt Core | C++ Classes | TimerInfo

Qt 5.6.2 Reference Documentation

# TimerInfo Class

(QAbstractEventDispatcher::TimerInfo)

Header: | #include <TimerInfo>
qmake: | QT += core

- List of all members, including inherited members

## Public Functions

| TimerInfo(int timerId, int interval, Qt::TimerType timerType)

## Public Variables

int | interval
int | timerId
Qt::TimerType | timerType

## Detailed Description

This struct represents information about a timer: timerId, interval, and timerType.

See also registeredTimers().

## Member Function Documentation

### TimerInfo::TimerInfo(int timerId, int interval, Qt::TimerType timerType)

Constructs a TimerInfo struct with the given timerId, interval, and timerType.

## Member Variable Documentation

### int TimerInfo::interval

The timer's interval.

### int TimerInfo::timerId

The timer's unique id.

### Qt::TimerType TimerInfo::timerType

The timer's type

See also Qt::TimerType.